import { createAuthClient } from "better-auth/svelte";
import {
	adminClient,
	inferAdditionalFields,
	usernameClient,
} from "better-auth/client/plugins";
import type { auth } from "./base";

export const authClient = createAuthClient({
	plugins: [
		usernameClient(),
		adminClient(),
		inferAdditionalFields<typeof auth>(),
	],
});
